cascading.flow.planner.iso.transformer

## Class GraphTransformer<In extends ElementGraph,Out extends ElementGraph>

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<In,Out>

- Direct Known Subclasses:
    RecursiveGraphTransformer, RuleTransformer, SubGraphTransformer

      public abstract class GraphTransformer<In extends ElementGraph,Out extends ElementGraph>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transformed<Out>` | `transform(In rootGraph)`
    `abstract Transformed<Out>` | `transform(PlannerContext plannerContext, In rootGraph)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphTransformer

          public GraphTransformer()

  - ### Method Detail

    - #### transform

          public Transformed<Out> transform(In rootGraph)

    - #### transform

          public abstract Transformed<Out> transform(PlannerContext plannerContext,
                                   In rootGraph)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.